#include <iostream>
using namespace std;
int najveci(long long a[],int n,int k)
{
    long long najv=0;
    int p;
    for(int i=k;i<n;i++)
        if(a[i]>najv)
        {
            najv=a[i];
            p=i;
        }
    return p;
}
int main()
{
    int n,k;
    cin>>n;
    long long a[n];
    for(int i=0;i<n;i++)
        cin>>a[i];
    if(n==1)
        cout<<a[0];
    else if(n==2)
        cout<<a[1]<<" "<<a[0];
    else
    {
        for(int i=0;i<n;i++)
        {
            k=najveci(a,n,i);
            if(k!=i)
            {
                swap(a[i],a[k]);
                break;
            }
        }
        for(int i=0;i<n;i++)
            cout<<a[i]<<" ";
    }
    return 0;
}